# Аренда квартир для студентов
В проекте есть три ветки:
- main — в эту ветку загружается код после положительного тестирования и ревью.
- dev_stable — в эту ветку загружается стабильный код, который будет использоваться в продашкене.
- dev_unstable — основная ветка для разработчиков.

## Как начать работать?

Команды написаны под windows. Вводить в командную строку. Проверяйте, что в консоли вы находитесь в правильной директории

- Устанавливаем python версия 3.11.1 https://www.python.org/downloads/ и git https://git-scm.com/
- Настройте git. В основном нужно только ввести имя пользователя и почту, пароль запросит при клонировании https://tproger.ru/curriculum/git-guide/
- Клонируем репозиторий
```bash
git clone https://github.com/vvsu-rent-project/dev_rent.github
```
- В консоли переходим в папку проекта
- Далее переходим на ветку unstable 
```bash
git switch dev_unstable
```
- Создаем виртуальное окружение
```bash
python -m venv venv
```
- Активируем виртуальное окружение. Если работаете в VS Code, открывайте терминал в нем и используйте его. Активировать окружение нужно всегда, когда пишите код
```bash
venv\Scripts\activate.bat
```
- После активации, устанавливаем зависимости. В этом же терминале!
```bash
pip install -r requirements.txt
```
Поздравляю, вы завершили первый этап